Skip to main content
PATCH
/
contacts
/
{id}
Update a contact
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/contacts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "name": "<string>",
  "email": "<string>",
  "title": "<string>",
  "description": "<string>",
  "officePhone": "<string>",
  "mobilePhone": "<string>",
  "fax": "<string>",
  "websiteUrl": "<string>",
  "ownerId": "<string>",
  "timeZoneId": "<string>",
  "tagIds": [
    "<string>"
  ]
}
'
{
  "id": "b27fd363-b75e-4ed1-af08-0b05119ea6b1",
  "firstName": "Jane",
  "lastName": "Doe",
  "name": "Jane Doe",
  "email": "jane.doe@acmecorp.com",
  "title": "Vice President of Operations",
  "description": "Key stakeholder responsible for all technology decisions.",
  "officePhone": "1-508-367-0989",
  "mobilePhone": "1-339-908-7090",
  "fax": "1-508-367-0990",
  "websiteUrl": "https://acmecorp.com",
  "createdAt": "2026-01-16T17:42:58.653Z",
  "createdBy": "1ad7c97a-d949-4bff-aab4-94bfa618e694",
  "ownerId": "df15e83f-5353-4b89-b2cd-d7018ff11b07",
  "timeZoneId": "bd8457a1-7a5f-46da-80d1-42671604d3fc",
  "tags": [
    {
      "id": "63081c77-52ef-45d5-92f5-7131c74df008",
      "name": "Executive Sponsor"
    }
  ],
  "salesforceId": "003Dn00000A1b2cDEF",
  "hubspotId": "12345678"
}
A person associated with a client, company, or opportunity in your workspace.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The contact uuid.

Body

application/json
firstName
string

The first name of the contact. Max 127 characters.

lastName
string

The last name of the contact. Max 127 characters.

name
string

The full name of the contact. Max 255 characters.

email
string

The email address of the contact. Max 255 characters.

title
string | null

The job title of the contact. Max 255 characters.

description
string | null

A description of the contact. Max 5000 characters.

officePhone
string | null

The office phone number of the contact. Max 255 characters.

mobilePhone
string | null

The mobile phone number of the contact. Max 255 characters.

fax
string | null

The fax number of the contact. Max 255 characters.

websiteUrl
string | null

The website URL of the contact. Max 255 characters.

ownerId
string | null

The identifier of the member who owns this contact.

timeZoneId
string | null

The identifier of the time zone for the contact.

tagIds
string[]

A list of contact tag identifiers to assign to the contact.

Response

200

id
string

The unique identifier for the object.

firstName
string

The first name of the contact.

lastName
string

The last name of the contact.

name
string

The full name of the contact.

email
string

The email address of the contact.

title
string | null

The job title of the contact.

description
string | null

A description of the contact.

officePhone
string | null

The office phone number of the contact.

mobilePhone
string | null

The mobile phone number of the contact.

fax
string | null

The fax number of the contact.

websiteUrl
string | null

The website URL of the contact.

createdAt
string<date-time>

The timestamp when the object was created.

createdBy
string | null

The identifier of the member who created the contact.

ownerId
string | null

The identifier of the member who owns this contact.

timeZoneId
string | null

The identifier of the time zone for the contact.

tags
object[]

The contact tags assigned to the contact.

salesforceId
string | null

The Salesforce identifier for the contact.

hubspotId
string | null

The HubSpot identifier for the contact.